Korg Gadget LE for Mac - IP
  • Korg Gadget LE for Mac











    A intuitive DAW software including more 
    than 30 Gadget Instruments Experience 
    KORG Gadget for Mac with a lite version.


    Included Contents

    - KORG Gadget Le for Mac Installer

    Operating Requirements

    - Mac OS X 10.10 Yosemite or higher 
    (latest update)

    - Intel Core 2 Duo or better 
    (Core i5 or better recommended)

    - 4 GB RAM (8 GB or more recommended)

    - 1 GB free disk space (SSD recommended)

    - An internet connection is required


    Click here to get Korg Gadget LE for Mac


  • You might also like